ranges::iota_fn Struct Reference
Numerics

## Public Member Functions

template<typename O , typename S , typename T >
auto | operator() (O first, S last, T val) const -> O requires output_iterator< O, T const &> &&sentinel_for< S, O > &&weakly_incrementable< T >
template<typename Rng , typename T >
auto | operator() (Rng &&rng, T val) const -> safe_iterator_t< Rng > requires output_range< Rng, T const &> &&weakly_incrementable< T >